Skip to content
BleemeoBleemeo

Retrieve a report config

GET
/v1/reportconfig/{id}/
curl --request GET \
--url https://example.com/v1/reportconfig/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>'

Return a single report configuration by its ID.

id
required
string format: uuid

A UUID string identifying this report config.

Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
account
required
string format: uuid
description
string
<= 100 characters
active
boolean
period
required
  • 0 - Weekly
  • 1 - Monthly
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1
created_at
required
string format: date-time
slos_count
required
integer
latest_report_id
required
string format: uuid
nullable
Example
{
"period": 0
}